<template>
  <transition
    mode="out-in"
    enter-active-class="animated fadeInRight"
    leave-active-class="animated fadeOut fast"
  >
    <div v-if="items.length > 0">
      <transition-group
        enter-active-class="animated fadeInRight"
        leave-active-class="animated fadeOutRight absolute"
        class="flex flex-wrap items-start justify-start"
      >
        <Drag
          v-for="item in items"
          :key="item"
          :transfer-data="{ group, item }"
          :title="item"
          class="cursor-grab bg-white truncate p-2 m-1 rounded border"
        >
          {{ item }}
        </Drag>
      </transition-group>
    </div>

    <p
      v-else
      class="p-3"
    >
      Empty
    </p>
  </transition>
</template>

<script lang="ts">
import { Vue, Component, Model, Prop, Watch } from 'vue-property-decorator'
import { State } from 'vuex-class'

import { Drag } from 'vue-drag-drop'

@Component({
  components: { Drag }
})
export default class DragList extends Vue {
  @Prop(Array) items
  @Prop(String) group
}
</script>
